org.apache.jmeter.report.core

## Class TimeHelper

- java.lang.Object
- - org.apache.jmeter.report.core.TimeHelper

-     public class TimeHelper
      extends java.lang.Object

  The class TimeHelper provides helper functions to ease time displaying.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `formatTimeStamp(long timeStamp)` Format the specified time stamp to string using JMeter properties.
    `static java.lang.String` | `formatTimeStamp(long timeStamp, java.lang.String format)` Format the specified time stamp to string using the format.
    `static java.lang.String` | `time(long t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeHelper

          public TimeHelper()

  - ### Method Detail

    - #### time

          public static java.lang.String time(long t)

    - #### formatTimeStamp

          public static java.lang.String formatTimeStamp(long timeStamp)

      Format the specified time stamp to string using JMeter properties.
      Parameters:
        `timeStamp` - the time stamp
      Returns:
        the string

    - #### formatTimeStamp

          public static java.lang.String formatTimeStamp(long timeStamp,
                                                         java.lang.String format)

      Format the specified time stamp to string using the format.
      Parameters:
        `timeStamp` - the time stamp
        `format` - the format
      Returns:
        the string

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.